import { StrictServerConfiguration, DevSecurityLevel } from '../shardus/shardus-types';
export type DebugConfigurations = StrictServerConfiguration['debug'];
export declare function isDebugMode(): boolean;
export declare function isDebugModeAnd(predicate: (config: DebugConfigurations | Partial<DebugConfigurations>) => boolean): boolean;
export declare function isServiceMode(): boolean;
export declare function getHashedDevKey(): string;
export declare function getDevPublicKeys(): DebugConfigurations['devPublicKeys'];
export declare function ensureKeySecurity(pubKey: string, level: DevSecurityLevel): boolean;
export declare function getDevPublicKey(key: string): string | null;
export declare function getDevPublicKeyMaxLevel(clearance?: DevSecurityLevel): string | null;
export declare function getMultisigPublicKeys(): DebugConfigurations['multisigKeys'];
export declare function getMultisigPublicKey(key: string): string | null;
export declare function ensureMultisigKeySecurity(pubKey: string, level: DevSecurityLevel): boolean;
